import request from '@/utils/request'

// 查询教师管理列表
export function listTeachermanager(query) {
  return request({
    url: '/platform/teachermanager/list',
    method: 'get',
    params: query
  })
}

// 查询教师管理详细
export function getTeachermanager(id) {
  return request({
    url: '/platform/teachermanager/' + id,
    method: 'get'
  })
}

// 新增教师管理
export function addTeachermanager(data) {
  return request({
    url: '/platform/teachermanager',
    method: 'post',
    data: data
  })
}

// 修改教师管理
export function updateTeachermanager(data) {
  return request({
    url: '/platform/teachermanager',
    method: 'put',
    data: data
  })
}

// 删除教师管理
export function delTeachermanager(id) {
  return request({
    url: '/platform/teachermanager/' + id,
    method: 'delete'
  })
}
